Bug 290963 - crashed when switched to wacom pen
Summary: crashed when switched to wacom pen
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-08 12:23 UTC by Pascal d'Hermilly
Modified: 2012-01-21 11:07 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal d'Hermilly 2012-01-08 12:23:17 UTC
Application: krita (2.4 Beta 5)
KDE Platform Version: 4.7.97 (4.8 RC2 (4.7.97)
Qt Version: 4.7.4
Operating System: Linux 3.0.0-14-generic x86_64
Distribution: Ubuntu 11.10

-- Information about the crash:
- What I was doing when the application crashed:
I had just created a new 1600x1200 with the mouse.
It crashed when I started to draw with my pen. I went from not being near the drawing surface to touching very fast. Don't know it that means any.

-- Backtrace:
Application: Krita (krita), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fa520dc97a0 (LWP 3605))]

Thread 11 (Thread 0x7fa4f927a700 (LWP 3610)):
#0  0x00007fa5206e8913 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007fa51e784bc6 in qt_safe_select (nfds=24, fdread=0x54b37e0, fdwrite=0x54b3a78, fdexcept=0x54b3d10, orig_timeout=<optimized out>) at kernel/qcore_unix.cpp:82
#2  0x00007fa51e78a330 in QEventDispatcherUNIXPrivate::doSelect (this=0x54b3620, flags=..., timeout=0x0) at kernel/qeventdispatcher_unix.cpp:219
#3  0x00007fa51e78a833 in QEventDispatcherUNIX::processEvents (this=0x547fb20, flags=...) at kernel/qeventdispatcher_unix.cpp:918
#4  0x00007fa51e75bcf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fa51e75bef7 in QEventLoop::exec (this=0x7fa4f9279db0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007fa51e67327f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007fa51e73ecbf in QInotifyFileSystemWatcherEngine::run (this=0x1f43ad0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fa51e675d05 in QThreadPrivate::start (arg=0x1f43ad0) at thread/qthread_unix.cpp:331
#9  0x00007fa519e94efc in start_thread (arg=0x7fa4f927a700) at pthread_create.c:304
#10 0x00007fa5206ef89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fa4fa27c700 (LWP 3615)):
#0  0x00007fa5206e8913 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007fa51e784bc6 in qt_safe_select (nfds=29, fdread=0x659beb0, fdwrite=0x659c148, fdexcept=0x659c3e0, orig_timeout=<optimized out>) at kernel/qcore_unix.cpp:82
#2  0x00007fa51e78a330 in QEventDispatcherUNIXPrivate::doSelect (this=0x659bcf0, flags=..., timeout=0x0) at kernel/qeventdispatcher_unix.cpp:219
#3  0x00007fa51e78a833 in QEventDispatcherUNIX::processEvents (this=0x1ecc620, flags=...) at kernel/qeventdispatcher_unix.cpp:918
#4  0x00007fa51e75bcf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fa51e75bef7 in QEventLoop::exec (this=0x7fa4fa27bdb0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007fa51e67327f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007fa51e73ecbf in QInotifyFileSystemWatcherEngine::run (this=0x63300b0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fa51e675d05 in QThreadPrivate::start (arg=0x63300b0) at thread/qthread_unix.cpp:331
#9  0x00007fa519e94efc in start_thread (arg=0x7fa4fa27c700) at pthread_create.c:304
#10 0x00007fa5206ef89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fa503336700 (LWP 3616)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa51e6761ab in wait (time=18446744073709551615, this=0x6c8b1d0) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x58e2150, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa51e672ba5 in QSemaphore::acquire (this=0x6c8df20, n=1) at thread/qsemaphore.cpp:144
#4  0x00007fa50bbf0f5e in KisTileDataPooler::waitForWork (this=0x6c8df10) at /build/buildd/calligra-2.3.85/krita/image/tiles3/kis_tile_data_pooler.cc:162
#5  0x00007fa50bbf1644 in KisTileDataPooler::run (this=0x6c8df10) at /build/buildd/calligra-2.3.85/krita/image/tiles3/kis_tile_data_pooler.cc:184
#6  0x00007fa51e675d05 in QThreadPrivate::start (arg=0x6c8df10) at thread/qthread_unix.cpp:331
#7  0x00007fa519e94efc in start_thread (arg=0x7fa503336700) at pthread_create.c:304
#8  0x00007fa5206ef89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fa4f9a7b700 (LWP 3617)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa51e6761ab in wait (time=18446744073709551615, this=0x6c8b6b0) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x58fdde0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa51e672dd9 in QSemaphore::tryAcquire (this=0x6c8b240, n=1, timeout=-1) at thread/qsemaphore.cpp:221
#4  0x00007fa50bc10c0a in KisTileDataSwapper::run (this=0x6c8df48) at /build/buildd/calligra-2.3.85/krita/image/tiles3/swap/kis_tile_data_swapper.cpp:92
#5  0x00007fa51e675d05 in QThreadPrivate::start (arg=0x6c8df48) at thread/qthread_unix.cpp:331
#6  0x00007fa519e94efc in start_thread (arg=0x7fa4f9a7b700) at pthread_create.c:304
#7  0x00007fa5206ef89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fa4dffff700 (LWP 3650)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa51e6761ab in wait (time=18446744073709551615, this=0xb9a3ca0) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xb9a35c8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa51f64c7d4 in QFileInfoGatherer::run (this=0xb9a35b8) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007fa51e675d05 in QThreadPrivate::start (arg=0xb9a35b8) at thread/qthread_unix.cpp:331
#5  0x00007fa519e94efc in start_thread (arg=0x7fa4dffff700) at pthread_create.c:304
#6  0x00007fa5206ef89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fa4deffd700 (LWP 3651)):
#0  0x00007fa51e788a23 in QTimerInfoList::timerWait (this=0xb9b1360, tm=...) at kernel/qeventdispatcher_unix.cpp:441
#1  0x00007fa51e78a8c1 in QEventDispatcherUNIX::processEvents (this=0xb9b0890, flags=...) at kernel/qeventdispatcher_unix.cpp:905
#2  0x00007fa51e75bcf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#3  0x00007fa51e75bef7 in QEventLoop::exec (this=0x7fa4deffcdb0, flags=...) at kernel/qeventloop.cpp:201
#4  0x00007fa51e67327f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#5  0x00007fa51e73ecbf in QInotifyFileSystemWatcherEngine::run (this=0xb9a3da0) at io/qfilesystemwatcher_inotify.cpp:248
#6  0x00007fa51e675d05 in QThreadPrivate::start (arg=0xb9a3da0) at thread/qthread_unix.cpp:331
#7  0x00007fa519e94efc in start_thread (arg=0x7fa4deffd700) at pthread_create.c:304
#8  0x00007fa5206ef89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fa4f1753700 (LWP 3889)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa51e6761ab in wait (time=18446744073709551615, this=0xce103a0) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xce0fcf8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa51f64c7d4 in QFileInfoGatherer::run (this=0xce0fce8) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007fa51e675d05 in QThreadPrivate::start (arg=0xce0fce8) at thread/qthread_unix.cpp:331
#5  0x00007fa519e94efc in start_thread (arg=0x7fa4f1753700) at pthread_create.c:304
#6  0x00007fa5206ef89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fa4e77fe700 (LWP 3890)):
#0  0x00007fa5206e8913 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007fa51e784bc6 in qt_safe_select (nfds=41, fdread=0x7fa4e8cff9c0, fdwrite=0x7fa4e8cffc58, fdexcept=0x7fa4e8cffef0, orig_timeout=<optimized out>) at kernel/qcore_unix.cpp:82
#2  0x00007fa51e78a330 in QEventDispatcherUNIXPrivate::doSelect (this=0x7fa4e8cff800, flags=..., timeout=0x0) at kernel/qeventdispatcher_unix.cpp:219
#3  0x00007fa51e78a833 in QEventDispatcherUNIX::processEvents (this=0x7fa4e8099fb0, flags=...) at kernel/qeventdispatcher_unix.cpp:918
#4  0x00007fa51e75bcf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fa51e75bef7 in QEventLoop::exec (this=0x7fa4e77fddb0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007fa51e67327f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007fa51e73ecbf in QInotifyFileSystemWatcherEngine::run (this=0xce104a0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fa51e675d05 in QThreadPrivate::start (arg=0xce104a0) at thread/qthread_unix.cpp:331
#9  0x00007fa519e94efc in start_thread (arg=0x7fa4e77fe700) at pthread_create.c:304
#10 0x00007fa5206ef89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fa4f0f52700 (LWP 5331)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fa51e6761ab in wait (time=18446744073709551615, this=0xfc1fcf0) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xfc1f618, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fa51f64c7d4 in QFileInfoGatherer::run (this=0xfc1f608) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007fa51e675d05 in QThreadPrivate::start (arg=0xfc1f608) at thread/qthread_unix.cpp:331
#5  0x00007fa519e94efc in start_thread (arg=0x7fa4f0f52700) at pthread_create.c:304
#6  0x00007fa5206ef89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fa4e6ffd700 (LWP 5332)):
#0  0x00007fa5206e8913 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007fa51e784bc6 in qt_safe_select (nfds=44, fdread=0xfc2cd00, fdwrite=0xfc2cf98, fdexcept=0xfc2d230, orig_timeout=<optimized out>) at kernel/qcore_unix.cpp:82
#2  0x00007fa51e78a330 in QEventDispatcherUNIXPrivate::doSelect (this=0xfc2cb40, flags=..., timeout=0x0) at kernel/qeventdispatcher_unix.cpp:219
#3  0x00007fa51e78a833 in QEventDispatcherUNIX::processEvents (this=0xfc24aa0, flags=...) at kernel/qeventdispatcher_unix.cpp:918
#4  0x00007fa51e75bcf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fa51e75bef7 in QEventLoop::exec (this=0x7fa4e6ffcdb0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007fa51e67327f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007fa51e73ecbf in QInotifyFileSystemWatcherEngine::run (this=0xfc1fdf0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fa51e675d05 in QThreadPrivate::start (arg=0xfc1fdf0) at thread/qthread_unix.cpp:331
#9  0x00007fa519e94efc in start_thread (arg=0x7fa4e6ffd700) at pthread_create.c:304
#10 0x00007fa5206ef89d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fa520dc97a0 (LWP 3605)):
[KCrash Handler]
#6  QString (other=) at /usr/include/qt4/QtCore/qstring.h:728
#7  id (this=) at /build/buildd/calligra-2.3.85/interfaces/KoID.h:64
#8  KisBaseProcessor::id (this=0x0) at /build/buildd/calligra-2.3.85/krita/image/kis_base_processor.cpp:124
#9  0x00007fa504f7f7e3 in KisFilterOption::writeOptionSetting (this=0xe6d7d10, setting=0xfefdb10) at /build/buildd/calligra-2.3.85/krita/plugins/paintops/libpaintop/kis_filter_option.cpp:173
#10 0x00007fa504f868ce in KisPaintOpOptionsWidget::writeConfiguration (this=<optimized out>, config=0xfefdb10) at /build/buildd/calligra-2.3.85/krita/plugins/paintops/libpaintop/kis_paintop_options_widget.cpp:108
#11 0x00007fa50c14f978 in KisPaintopBox::slotUpdatePreset (this=0x7fa4f6432be0) at /build/buildd/calligra-2.3.85/krita/ui/kis_paintop_box.cc:513
#12 0x00007fa50c08dc70 in KisPaintopBox::qt_metacall (this=0x7fa4f6432be0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7fff6fb24630) at /build/buildd/calligra-2.3.85/obj-x86_64-linux-gnu/krita/ui/moc_kis_paintop_box.cpp:114
#13 0x00007fa51e76feba in QMetaObject::activate (sender=0xe92a990, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3278
#14 0x00007fa50bc5140c in KisConfigWidget::qt_metacall (this=0xe92a990, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=<optimized out>) at /build/buildd/calligra-2.3.85/obj-x86_64-linux-gnu/krita/image/kis_config_widget.moc:81
#15 0x00007fa504f86580 in KisPaintOpOptionsWidget::qt_metacall (this=0xe92a990, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff6fb24740) at /build/buildd/calligra-2.3.85/obj-x86_64-linux-gnu/krita/plugins/paintops/libpaintop/kis_paintop_options_widget.moc:68
#16 0x00007fa51e76feba in QMetaObject::activate (sender=0xe92a9b8, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3278
#17 0x00007fa51e773789 in QObject::event (this=0xe92a9b8, e=<optimized out>) at kernel/qobject.cpp:1181
#18 0x00007fa51f15d424 in notify_helper (e=0x7fff6fb24ca0, receiver=0xe92a9b8, this=0x1c9d4b0) at kernel/qapplication.cpp:4486
#19 QApplicationPrivate::notify_helper (this=0x1c9d4b0, receiver=0xe92a9b8, e=0x7fff6fb24ca0) at kernel/qapplication.cpp:4458
#20 0x00007fa51f162291 in QApplication::notify (this=0x7fff6fb25040, receiver=0xe92a9b8, e=0x7fff6fb24ca0) at kernel/qapplication.cpp:4365
#21 0x00007fa51fe71ae6 in KApplication::notify (this=0x7fff6fb25040, receiver=0xe92a9b8, event=0x7fff6fb24ca0) at ../../kdeui/kernel/kapplication.cpp:311
#22 0x00007fa51e75cafc in QCoreApplication::notifyInternal (this=0x7fff6fb25040, receiver=0xe92a9b8, event=0x7fff6fb24ca0) at kernel/qcoreapplication.cpp:787
#23 0x00007fa51e789d62 in sendEvent (event=0x7fff6fb24ca0, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#24 QTimerInfoList::activateTimers (this=0x1c9e070) at kernel/qeventdispatcher_unix.cpp:603
#25 0x00007fa51e78a844 in QEventDispatcherUNIX::processEvents (this=0x1c1cfa0, flags=...) at kernel/qeventdispatcher_unix.cpp:922
#26 0x00007fa51f205ee8 in QEventDispatcherX11::processEvents (this=0x1c1cfa0, flags=...) at kernel/qeventdispatcher_x11.cpp:152
#27 0x00007fa51e75bcf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#28 0x00007fa51e75bef7 in QEventLoop::exec (this=0x7fff6fb25000, flags=...) at kernel/qeventloop.cpp:201
#29 0x00007fa51e760789 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#30 0x00007fa5209b3a5d in kdemain (argc=<optimized out>, argv=<optimized out>) at /build/buildd/calligra-2.3.85/krita/main.cc:71
#31 0x00007fa52062f30d in __libc_start_main (main=0x400630 <main(int, char**)>, argc=1, ubp_av=0x7fff6fb25208, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff6fb251f8) at libc-start.c:226
#32 0x0000000000400661 in _start ()

Reported using DrKonqi
Comment 1 Pascal d'Hermilly 2012-01-08 12:37:15 UTC
notice.
This has only happened once. Otherwise I don't have problems with the pen
Comment 2 Halla Rempt 2012-01-08 12:41:35 UTC
Were you using the filter brush?
Comment 3 Pascal d'Hermilly 2012-01-09 08:28:40 UTC
I'm quite sure I was using the pixel brush.
Comment 4 Halla Rempt 2012-01-21 11:07:25 UTC
Weird... The crash is in the filter option. In any case, I'll push a fix right now.
Comment 5 Halla Rempt 2012-01-21 11:07:41 UTC
Git commit 1e31a73a0288c09a7ad1a4b185b4f0226bc897ed by Boudewijn Rempt.
Committed on 21/01/2012 at 12:06.
Pushed by rempt into branch 'master'.

Filterop: handle the case when the current filter isn't set

M  +2    -0    krita/plugins/paintops/libpaintop/kis_filter_option.cpp

http://commits.kde.org/calligra/1e31a73a0288c09a7ad1a4b185b4f0226bc897ed